Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary
Class BuildResultsSummaryManagerImpl

    java.lang.Object
      com.atlassian.bamboo.resultsummary.BuildResultsSummaryManagerImpl

All Implemented Interfaces:
  BuildResultsSummaryManager

    public class BuildResultsSummaryManagerImpl

extends Object
implements BuildResultsSummaryManager

Constructor Summary
`BuildResultsSummaryManagerImpl()`

Method Summary
`Commit` | `generateCommitFromChangeLogs(ChangeLogEntry changeLogEntry, BuildResultsSummary resultsSummary)`
`BuildResultsSummary` | `generateSummaryFromBuildResults(BuildResults buildResults)`
`BuildResultsSummary` | `generateSummaryFromBuildResults(BuildResults buildResults, Build build)`
`List` | `getAllBuildResultsSummaries(Build build)`
`long` | `getAverageBuildTime(Build build, int numberOfResults)` Returns average build duration for given number of builds
`BuildResultsSummary` | `getBreakingBuild(BuildResultsSummary buildResultsSummary)`
`BuildResultsSummary` | `getBuildResultsSummary(Build build, int buildNumber)`
`BuildResultsSummary` | `getBuildResultsSummary(String buildKey, int buildNumber)`
`BuildResultsSummary` | `getBuildResultsSummaryById(long id)`
`BuildResultsSummary` | `getFirstBuildSummary(Build build)`
`BuildResultsSummary` | `getLastBuildSummary(Build build)`
`List` | `getLatestbuildResultSummaries(int numberOfResults)`
`List` | `getNeighbouringSummaries(Build build, int buildNumber)` Returns all the `BuildResultsSummary` objects that matches the passed build numbers
`long` | `getNumberOfResults(Build build)`
`void` | `removeBuildResultsSummariesForBuild(Build build)`
`void` | `removeBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `saveBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `setBuildResultsSummaryDao(BuildResultsSummaryDao buildResultsSummaryDao)`
`void` | `setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildResultsSummaryManagerImpl

    public BuildResultsSummaryManagerImpl()

Method Detail

### generateSummaryFromBuildResults

    public BuildResultsSummary generateSummaryFromBuildResults(BuildResults buildResults,
                                                               Build build)

  Specified by:
    `generateSummaryFromBuildResults` in interface `BuildResultsSummaryManager`

### generateSummaryFromBuildResults

    public BuildResultsSummary generateSummaryFromBuildResults(BuildResults buildResults)

  Specified by:
    `generateSummaryFromBuildResults` in interface `BuildResultsSummaryManager`

### generateCommitFromChangeLogs

    public Commit generateCommitFromChangeLogs(ChangeLogEntry changeLogEntry,
                                               BuildResultsSummary resultsSummary)

  Specified by:
    `generateCommitFromChangeLogs` in interface `BuildResultsSummaryManager`

### getBreakingBuild

    public BuildResultsSummary getBreakingBuild(BuildResultsSummary buildResultsSummary)

  Specified by:
    `getBreakingBuild` in interface `BuildResultsSummaryManager`

### getAllBuildResultsSummaries

    public List getAllBuildResultsSummaries(Build build)

  Specified by:
    `getAllBuildResultsSummaries` in interface `BuildResultsSummaryManager`

### getBuildResultsSummaryById

    public BuildResultsSummary getBuildResultsSummaryById(long id)

  Specified by:
    `getBuildResultsSummaryById` in interface `BuildResultsSummaryManager`

### getBuildResultsSummary

    public BuildResultsSummary getBuildResultsSummary(Build build,
                                                      int buildNumber)

  Specified by:
    `getBuildResultsSummary` in interface `BuildResultsSummaryManager`

### getNeighbouringSummaries

    public List getNeighbouringSummaries(Build build,
                                         int buildNumber)

  Description copied from interface: `BuildResultsSummaryManager`
  Returns all the `BuildResultsSummary` objects that matches the passed build numbers

  Specified by:
    `getNeighbouringSummaries` in interface `BuildResultsSummaryManager`
  Returns:
    `List` of `BuildResultsSummary`

### removeBuildResultsSummariesForBuild

    public void removeBuildResultsSummariesForBuild(Build build)

  Specified by:
    `removeBuildResultsSummariesForBuild` in interface `BuildResultsSummaryManager`

### getBuildResultsSummary

    public BuildResultsSummary getBuildResultsSummary(String buildKey,
                                                      int buildNumber)

  Specified by:
    `getBuildResultsSummary` in interface `BuildResultsSummaryManager`

### saveBuildResultsSummary

    public void saveBuildResultsSummary(BuildResultsSummary buildResultsSummary)

  Specified by:
    `saveBuildResultsSummary` in interface `BuildResultsSummaryManager`

### removeBuildResultsSummary

    public void removeBuildResultsSummary(BuildResultsSummary buildResultsSummary)

  Specified by:
    `removeBuildResultsSummary` in interface `BuildResultsSummaryManager`

### getFirstBuildSummary

    public BuildResultsSummary getFirstBuildSummary(Build build)

  Specified by:
    `getFirstBuildSummary` in interface `BuildResultsSummaryManager`

### getLastBuildSummary

    public BuildResultsSummary getLastBuildSummary(Build build)

  Specified by:
    `getLastBuildSummary` in interface `BuildResultsSummaryManager`

### getNumberOfResults

    public long getNumberOfResults(Build build)

  Specified by:
    `getNumberOfResults` in interface `BuildResultsSummaryManager`

### getLatestbuildResultSummaries

    public List getLatestbuildResultSummaries(int numberOfResults)

  Specified by:
    `getLatestbuildResultSummaries` in interface `BuildResultsSummaryManager`

### setBuildResultsSummaryDao

    public void setBuildResultsSummaryDao(BuildResultsSummaryDao buildResultsSummaryDao)

### setExtendedAuthorManager

    public void setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)

### getAverageBuildTime

    public long getAverageBuildTime(Build build,
                                    int numberOfResults)

  Description copied from interface: `BuildResultsSummaryManager`
  Returns average build duration for given number of builds

  Specified by:
    `getAverageBuildTime` in interface `BuildResultsSummaryManager`
  Parameters:
    `build` - - must not be null
    `numberOfResults` - - How many build results to use in the average. must be greater 0
  Returns:
    Average build time. 0 if no build found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.